Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 05 May 2022 17:47:27 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I am extremely dissatisfied with Max. The products which I ordered on April 27th order no. 9568151591 is not yet delivered to me. I had made multiple calls to the customer care, and each time I call, the agent would say the products will be delivered as soon as possible or on the same day or someone will contact me back.... But, none of this happened so far. I need my cash back. Please cancel the order. I am again told that i cant cancel, and only option for me is to reject the order when the delivery person calls me. But, when will that happen???? Please respect your customers. And if the next day delivery is promised when we order something, pls stick to it. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4315448